Package weka.core.pmml

# Class DerivedFieldMetaInfo

java.lang.Object
weka.core.pmml.FieldMetaInfo
weka.core.pmml.DerivedFieldMetaInfo

All Implemented Interfaces:
  `Serializable`

public class DerivedFieldMetaInfo extends FieldMetaInfo implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class weka.core.pmml.FieldMetaInfo

`FieldMetaInfo.Interval, FieldMetaInfo.Optype, FieldMetaInfo.Value`

## Constructor Summary

Constructors
Constructor
Description
`DerivedFieldMetaInfo(Element derivedField, ArrayList<Attribute> fieldDefs, weka.core.pmml.TransformationDictionary transDict)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getDerivedValue(double[] incoming)`
Get the derived field value for the given incoming vector of values.
`Attribute`
`getFieldAsAttribute()`
Get this derived field as an Attribute.
`void`
`setFieldDefs(ArrayList<Attribute> fieldDefs)`
Upadate the field definitions for this derived field
`String`
`toString()`

### Methods inherited from class weka.core.pmml.FieldMetaInfo

`getFieldName, getOptype`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DerivedFieldMetaInfo

public DerivedFieldMetaInfo(Element derivedField, ArrayList<Attribute> fieldDefs, weka.core.pmml.TransformationDictionary transDict) throws Exception

Throws:
  `Exception`

## Method Details

### setFieldDefs

public void setFieldDefs(ArrayList<Attribute> fieldDefs) throws Exception
Upadate the field definitions for this derived field

Parameters:
  `fieldDefs` -
Throws:
  `Exception`

### getFieldAsAttribute

public Attribute getFieldAsAttribute()
Get this derived field as an Attribute.

Specified by:
  `getFieldAsAttribute` in class `FieldMetaInfo`
Returns:
  an Attribute for this derived field.

### getDerivedValue

public double getDerivedValue(double[] incoming) throws Exception
Get the derived field value for the given incoming vector of values. Incoming values are assumed to be in the same order as the attributes supplied in the field definitions ArrayList used to construct this DerivedField. If the optype of this derived field is continuous, then a real number is returned. Otherwise, the number returned is the index of the categorical/ordinal value corresponding to result of computing the derived field value.

Parameters:
  `incoming` - the incoming parameter values
Returns:
  the result of computing the derived value
Throws:
  `Exception` - if there is a problem computing the value

### toString

public String toString()

Overrides:
  `toString` in class `Object`